//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
// This file is copied from J2MEUnit with modifications.
//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
package junit.framework;

public abstract class TestMethod {

	private String name;

	public TestMethod() {
	}

	public TestMethod(String name) {
		this.name = name;
	}

	/**
	 * Instrumentor Constructor creation helper function
	 * 
	 * @param name
	 *            name of test Method.
	 * @return
	 */
	public junit.framework.TestMethod named(String name) {
		this.setName(name);
		return this;
	}

	public abstract void run(TestCase testCase) throws Throwable;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String toString() {
		return name;
	}
}
